using System;
using System.Collections.Generic;
using System.Text;

using Biochemfusion;
using System.IO;
using System.Drawing;

namespace RenderDotNetMolGraphics
{
	class Program
	{
		const float ZOOM_FACTOR = 1.5F;

		static void Main(string[] args)
		{
			MoleculeRenderer renderer = new MoleculeRenderer();
			String renderInfo = "";
			using (StreamReader fileReader = new StreamReader(args[0]))
			{
				renderInfo = fileReader.ReadLine();
			}

			String outputFilename = args[1];

			Bitmap BM = new Bitmap(100, 100);
			Graphics canvas = Graphics.FromImage(BM);

			Rectangle boundingBox = renderer.boundingBox(renderInfo, new Rectangle(0, 0, 1000000, 100000), ZOOM_FACTOR, canvas);

			BM = new Bitmap(boundingBox.Width + 1, boundingBox.Height + 1);
			canvas = Graphics.FromImage(BM);

			// renderer.oneLetterResidues = true;

			renderer.render(
				renderInfo,	boundingBox, 1.0F * ZOOM_FACTOR, canvas
			);

			BM.Save(outputFilename);

		}
	}
}
